### Signal

# Gtk TextBuffer::remove-tag

#### Declaration

    void
    remove_tag (
      GtkTextBuffer self,
      GtkTextTag* tag,
      const GtkTextIter* start,
      const GtkTextIter* end,
      gpointer user_data
    )

#### Description [src]

Emitted to remove all occurrences of `tag` from a range of text in a `GtkTextBuffer`.

Removal actually occurs in the default handler.

Note that if your handler runs before the default handler it must not invalidate the `start` and `end` iters (or has to revalidate them).

See also: gtk_text_buffer_remove_tag().

Default handler: | The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`tag` | `GtkTextTag`
| The tag to be removed.
| The data is owned by the caller of the function.
`start` | `GtkTextIter`
| The start of the range the tag is removed from.
| The data is owned by the caller of the function.
`end` | `GtkTextIter`
| The end of the range the tag is removed from.
| The data is owned by the caller of the function.